typedef unsigned 	char Str4[5];
typedef unsigned	char Str16[17];

typedef struct
	{
	Str4			CreatorType;
	Str4			FileType;
	Str32			Description;
	} pref_types;

typedef struct
	{
	Str4			FromFile;
	Str4			ToCreator;
	Str4			ToFile;
	Str16			Name;
	} auto_chng;

typedef struct
	{
	Boolean			DragQuit;
	Boolean			AutoChange;
	} global_prefs;
	
typedef struct
	{
	short			menu_id;
	short			dlog_id;
	short			num_items;
	long			num_files;
	OSType			pref_type;
	Ptr				storage;
	DialogRef		dialog;
	AEDescList		files;
	} Dialog_Info;

#ifdef __THINK__
	#define	TRUE					1
	#define	FALSE					0
#endif

#define	GOOD					1
#define	BAD						0
#define	YES						1
#define	NO						0
#define	ENTIRE_MENU				0
#define	REMOVE_EVENTS			0
#define	NIL_PTR					0L
#define	IN_FRONT 				(WindowRef)-1L
#define	MOUSE_REGION			0L
#define	DELAY					8
#define	TYPE_LEN 				4
#define	DESC_LEN				32
#define	NO_ERR					0

#define	CHNG_TYPE_DLOG_ID		200
#define		CHNG_OK				1
#define		CHNG_CANCEL			2
#define		CHNG_CREATOR		3
#define		CHNG_FILE			4
#define		CHNG_CRNT_CREATOR	5
#define		CHNG_CRNT_TYPE		6
#define		CHNG_POP_UP			7
#define		CHNG_MKLK 			8
#define		CHNG_DLOG_UI		14

#define	PREF_DLOG_ID			500
#define		PREF_POPUP			1
#define		PREF_DONE			7
#define		PREF_MAX_ITEMS		7

#define		PREF_PTYPE_DITL		501
#define			P_PT_CT			1
#define			P_PT_FT			2
#define			P_PT_DS			3
#define			P_PT_PM			4
#define			P_PT_ADD		9
#define			P_PT_DEL		10
#define			P_PT_GFL		11
#define			P_PT_USI		12
#define		PREF_ATYPE_DITL		502
#define			P_AC_CHFT		1
#define			P_AC_CTCT		2
#define			P_AC_CTFT		3
#define			P_AC_POPM		4
#define			P_AC_ADD		10
#define			P_AC_DEL		11
#define			P_AC_GFL		12
#define			P_AC_USI		13
#define		PREF_GNERL_DITL		503
#define			P_GN_OKAC		1
#define			P_GN_QADD		2
#define			P_GN_USRI		3

#define	ABOUT_DLOG_ID			400				//	"About Creator Changer..." ID
#define		ABOUT_OK			1
#define		ABOUT_DLOG_UI		3
	
#define	ERROR_ALERT_ID			300				//	Error alert ID

#define	ERROR_STRING_LIST		128
#define		TYPES_ERROR_1		1
#define		TYPES_ERROR_2		2
#define		DESC_ERROR			3
#define		SYS7_ERROR_1		4
#define		SYS7_ERROR_2		5
#define		BAD_ITEM_ERROR		6
#define		BAD_CF_TYPE_1		7
#define		BAD_CF_TYPE_2		8
#define		BAD_CF_TYPE_3		9
#define		BAD_CF_TYPE_4		10
#define		MULTI_FILE_1		11
#define		MULTI_FILE_2		12
#define		MULTI_FILE_3		13

#define	MISC_STRING_LIST		129
#define		PREF_FILE_NAME		1
	
#define	MAIN_MENU_BAR_ID		128				//	The menubar ID
	
#define	APPLE_MENU_ID			128				//	The apple menu ID
#define		A_ABOUT_ITEM		1				//	about creator changer menu ID
	
#define	FILE_MENU_ID			129				//	The options menu ID
#define		F_OPEN_ITEM			1				//	open file menu item ID
#define		F_PREF_ITEM			2
#define		F_QUIT_ITEM			4				//	quit menu item ID

#define	EDIT_MENU_ID			130
#define		E_UNDO_ITEM			1
#define		E_CUT_ITEM			3
#define		E_COPY_ITEM			4
#define		E_PASTE_ITEM		5
#define		E_CLEAR_ITEM		6
	
#define	PREF_TYPES_ID			300
#define	AUTO_CHANGE_ID			301

#define	PREF_TYPE_ID			302
#define		P_EPTYPE_ITEM		1
#define		P_EATYPE_ITEM		2
#define		P_GENERL_ITEM		3

#define	PREF_PT					'CCpt'
#define	PREF_GL					'CCgl'
#define	PREF_AC					'CCac'